Subject: Re: LZ77 Algorithm Implementation in Prolog

From: Jan Wielemaker <[email-masked]>
Date: Sun, 11 Nov 2001 10:52:18 +0100

> i need an implementation of the LZ77 algorithm in Prolog, so if someone
> has one, please tell me :)

Is that what zlib is using?  With the availability of a good C-library
I generally go for interfacing that.  Less work and with a bit of luck
less maintenance too as other people do that.  The only minus is that
pure Prolog code runs without hassle on any machine Prolog runs on.
	
	Regards --- Jan